---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrd002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4300, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50850, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52790, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B80, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B20, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B30, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x504C0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x504C4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x504C8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50620, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x506D8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x506DC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x506E0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x506E4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x506E8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x506F0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50700, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50708, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50710, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50718, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50720, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50728, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x50770, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x50778, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50780, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2FA0, symSize: 0x80 }
  - { offsetInCU: 0x9615, offset: 0x9615, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2EF0, symSize: 0xB0 }
  - { offsetInCU: 0x9670, offset: 0x9670, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2DF0, symSize: 0x100 }
  - { offsetInCU: 0x9903, offset: 0x9903, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3020, symSize: 0xC0 }
  - { offsetInCU: 0x9955, offset: 0x9955, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x30E0, symSize: 0x220 }
  - { offsetInCU: 0x9B3A, offset: 0x9B3A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3300, symSize: 0xA0 }
  - { offsetInCU: 0x9BED, offset: 0x9BED, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x33A0, symSize: 0x110 }
  - { offsetInCU: 0x9CE3, offset: 0x9CE3, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x34B0, symSize: 0x150 }
  - { offsetInCU: 0x9E40, offset: 0x9E40, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3600, symSize: 0x30 }
  - { offsetInCU: 0x9F79, offset: 0x9F79, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3630, symSize: 0x150 }
  - { offsetInCU: 0xA171, offset: 0xA171, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3780, symSize: 0x160 }
  - { offsetInCU: 0xA431, offset: 0xA431, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x38E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6A4, offset: 0xA6A4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3D80, symSize: 0x1B0 }
  - { offsetInCU: 0xA8BF, offset: 0xA8BF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3F30, symSize: 0xA0 }
  - { offsetInCU: 0xA98E, offset: 0xA98E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3FD0, symSize: 0x20 }
  - { offsetInCU: 0xA9C5, offset: 0xA9C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3FF0, symSize: 0x20 }
  - { offsetInCU: 0xA9FC, offset: 0xA9FC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4010, symSize: 0x20 }
  - { offsetInCU: 0xABAB, offset: 0xABAB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4030, symSize: 0x1A0 }
  - { offsetInCU: 0xAEC7, offset: 0xAEC7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x41D0, symSize: 0x130 }
  - { offsetInCU: 0xB077, offset: 0xB077, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4570, symSize: 0x1B0 }
  - { offsetInCU: 0xB366, offset: 0xB366, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4720, symSize: 0x80 }
  - { offsetInCU: 0xB42F, offset: 0xB42F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x47A0, symSize: 0x6A0 }
  - { offsetInCU: 0xBFC4, offset: 0xBFC4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3F0, symBinAddr: 0x6040, symSize: 0xB0 }
  - { offsetInCU: 0xC03B, offset: 0xC03B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4E40, symSize: 0x70 }
  - { offsetInCU: 0xC0D7, offset: 0xC0D7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_threadByName, symObjAddr: 0x48F0, symBinAddr: 0x4EB0, symSize: 0x320 }
  - { offsetInCU: 0xC4AA, offset: 0xC4AA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x51D0, symSize: 0xA0 }
  - { offsetInCU: 0xC5B5, offset: 0xC5B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5270, symSize: 0x40 }
  - { offsetInCU: 0xC6AB, offset: 0xC6AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x52B0, symSize: 0x2B0 }
  - { offsetInCU: 0xCA51, offset: 0xCA51, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5560, symSize: 0xC0 }
  - { offsetInCU: 0xCB97, offset: 0xCB97, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5620, symSize: 0x10 }
  - { offsetInCU: 0xCC59, offset: 0xCC59, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5630, symSize: 0x220 }
  - { offsetInCU: 0xCF56, offset: 0xCF56, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5850, symSize: 0x10 }
  - { offsetInCU: 0xCFB3, offset: 0xCFB3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5860, symSize: 0x280 }
  - { offsetInCU: 0xD2CD, offset: 0xD2CD, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x5AE0, symSize: 0x10 }
  - { offsetInCU: 0xD356, offset: 0xD356, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9EA0, symBinAddr: 0x5AF0, symSize: 0x80 }
  - { offsetInCU: 0xD478, offset: 0xD478, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F20, symBinAddr: 0x5B70, symSize: 0x4D0 }
  - { offsetInCU: 0xDAC1, offset: 0xDAC1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4A0, symBinAddr: 0x60F0, symSize: 0x36A }
...
